%global pkgname XMod

Name:           gap-pkg-xmod
Version:        2.59
Release:        1%{?dist}
Summary:        Crossed Modules and Cat1-Groups for GAP

License:        GPLv2+
URL:            https://gap-packages.github.io/xmod/
Source0:        https://github.com/gap-packages/xmod/releases/download/v%{version}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-autpgrp
BuildRequires:  gap-pkg-gpd
BuildRequires:  gap-pkg-hap
BuildRequires:  gap-pkg-utils

Requires:       gap-core
Requires:       gap-pkg-autpgrp
Requires:       gap-pkg-gpd
Requires:       gap-pkg-hap
Requires:       gap-pkg-utils

%description
This package allows for computation with crossed modules, cat1-groups,
morphisms of these structures, derivations of crossed modules and the
corresponding sections of cat1-groups.  Experimental functions for
crossed squares are now included.  In October 2015 a new section on
isoclinism of crossed modules was added.

%prep
%setup -q -n %{pkgname}-%{version}

# Fix end of line encoding
for fil in examples/isoclinic.g makedoc.g; do
  sed -i.orig 's/\r//' $fil
  touch -r $fil.orig $fil
  rm -f $fil.orig
done

%build
export LC_ALL=C.UTF-8
mkdir ../pkg
ln -s ../%{pkgname}-%{version} ../pkg
gap -l "$PWD/..;%{_gap_dir}" makedoc.g
rm -fr ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGES,LICENSE.txt,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}

%check
export LC_ALL=C.UTF-8
cd tst
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" testall.g 2>&1 | tee log
if grep -Fq 'Errors detected' log; then false; else true; fi
rm -f log

%files
%doc CHANGES README
%license LICENSE.txt
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/examples
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Tue Mar 21 2017 Jerry James <loganjerry@gmail.com> - 2.59-1
- New upstream version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec  3 2016 Jerry James <loganjerry@gmail.com> - 2.58-1
- New upstream version
- New URLs

* Fri Sep 30 2016 Jerry James <loganjerry@gmail.com> - 2.56-1
- Initial RPM
